%global enable_tests 0

Name:       nodejs-buffer-crc32
Version:    0.2.1
Release:    2%{?dist}
Summary:    A pure JavaScript CRC32 algorithm that plays nice with binary data
# License is now in upstream repository:
# https://github.com/brianloveswords/buffer-crc32/commit/1b7489d304
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/brianloveswords/buffer-crc32
Source0:    http://registry.npmjs.org/buffer-crc32/-/buffer-crc32-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
This Node.js module provides a pure JavaScript CRC32 algorithm that works
with binary data and fancy character sets, output buffers, signed or unsigned
data and also has tests.

It is derived from the sample CRC implementation in the PNG specification:
http://www.w3.org/TR/PNG/#D-CRCAppendix


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/buffer-crc32
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/buffer-crc32

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%tap tests/*.test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/buffer-crc32


%changelog
* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-2
- correct various spellings
- add comment that license is now in upstream git

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-1
- initial package
